class Program
    {
        //Trikotnik: naredi Rekurzivno metodo, ki izračuna ploščino enakokrakega trikotnika Sierpinskega dane stopnje.
        public static double PloscSierp(double osnovna, double visina, int n)
        {
            if (n == 0)//ustavitveni pogoj
            {
                return osnovna * visina / 2.0;// vrne ploščino trikotnika
            }
            else
            {  //trikotnik razpade na 3 manjše trikotnike s polovičnimi stranicami, zato pomnožimo s 3 in zmanjšamo stopnjo za 1
                return 3 * (PloscSierp(osnovna / 2, visina / 2, n - 1));

            }
        }

        //metodo kličemo iz glavnega programa
        static void Main(string[] args)
        {
            //vnesemo in preberemo osnovnico, višino in stopnjo trikotnika Sierpinskega v cm
            Console.Write("Vnesi osnovno stranico trikotnika (cm): ");
            int osnovna = int.Parse(Console.ReadLine());
            Console.Write("Vnesi višino trikotnika (cm): ");
            int visina = int.Parse(Console.ReadLine());
            Console.Write("Vnesi stopnjo Sierpentinskega : ");
            int stopnja = int.Parse(Console.ReadLine());
            double plo = PloscSierp(osnovna, visina, stopnja);//klic metode
            Console.WriteLine("\nPlosčina trikotnika Sierpinskega s stopnjo " + stopnja + " je " + plo + " cm2.");//izpis ploščine enakokrakega trikotnika
            Console.Write("\nZa konec pritisni katerokoli tipko... ");
            Console.ReadKey(true);
        }
    }
