public class Sierpinski {

  public static double a = 1.0;
  public static int stopnja = 0;
  public static double visina = Math.sqrt(3.0)/2.0;

  // izracuna ploscino trikotnika Sierpinskega stopnje stopnja in stranico a
  public static double sierpinski(double a, int stopnja) {
    if(stopnja == 0) {
      return a*a*visina/2.0;
    }
    else {
      /* gremo nivo nize - izracunamo ploscino treh trikotnikov Sierpinskega
      seveda za eno stopnjo nize in s polovicno stranico
      */
      return 3.0*sierpinski(0.5*a,stopnja-1);
    }
  }

  public static void main(String [] args)  {
    System.out.println("Ploscina trikotnika Sierpinskega stopnje " + stopnja + " s stranico " + a + " je " + sierpinski( a, stopnja));
  }
}